/* alternatives subsystem
(c) 2003
Stanislav Ievlev <inger@altlinux.org>
*/

#ifndef ALT_CONFIG_H
#define ALT_CONFIG_H

#include <libing/config.h>
#include <libing/helpers.h>

using Ing::unslash;

/**
 * Main config for alternatives subsystem,
 */
class AltConfig: public Ing::Config
{
public:
	/**
	 * A constructor, read and parse config file, save all of them in internal hash
	 * @param configname name of the configuration file
	 */
	AltConfig(const char *configname);
	/**
	 * A destructor, free all internal structures
	 */
	~AltConfig();
protected:
	/**
	 * implementation of virtual method of Ing::Config
	 * additional processing remove trailing slashes from filenames and add slash to the end of all directory pathes.
	 * @param group group of options
	 * @param name option's name
	 * @param value value of option
	 * @param type type of option
	 */
	virtual	void	setup_option(const std::string& group, const std::string& name,
				  const std::string& value, const std::string& type);
};

#endif
