/* alternatives subsystem
(c) 2003
Stanislav Ievlev <inger@altlinux.org>
*/

#ifndef CANDIDATE_H
#define CANDIDATE_H

#include <string>
#include <map>

/**
 * hash of the slaves: key - fake name, value - real name of candidate
 */
typedef std::map<std::string, std::string> slave_list;

/**
 * single alternative candidate representation
 */
class Candidate
{
public:
	/**
	 * A constructor, setup default values of object
	 */
	Candidate();
	/**
	 * A descructor, clear internal structures
	 */
	~Candidate();
	/**
	 * update/setup candidate parameters
	 * @param other new candidate
	 */
	Candidate &operator<<=(Candidate &other);
	/**
	 * possible slaves: mirror of alternative slaves list: fake-name -> real_name
	 */
	slave_list	slaves;
	long	weight; /**< weight of this candidate */
};

/**
 * hash of candidates: key - real-name, value - candidate object
 */
typedef std::map<std::string, Candidate *> candidate_list;

#endif
